Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class ASN1Util

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.ASN1Util

public class ASN1Util
extends java.lang.Object

Constructor Summary
`ASN1Util()`

Method Summary
`static ASN1Value` | `decode(ASN1Template template, byte[] encoded)`
`static ASN1Value` | `decode(Tag implicitTag, ASN1Template template, byte[] encoded)`
`static byte[]` | `encode(ASN1Value val)`
`static byte[]` | `encode(Tag implicitTag, ASN1Value val)`
`static void` | `readFully(byte[] bytes, java.io.InputStream istream)` Fills a byte array with bytes from an input stream.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### ASN1Util

    public ASN1Util()

Method Detail

### encode

    public static byte[] encode(ASN1Value val)

### encode

    public static byte[] encode(Tag implicitTag,
                                ASN1Value val)

### decode

    public static ASN1Value decode(ASN1Template template,
                                   byte[] encoded)
                            throws InvalidBERException

### decode

    public static ASN1Value decode(Tag implicitTag,
                                   ASN1Template template,
                                   byte[] encoded)
                            throws InvalidBERException

### readFully

    public static void readFully(byte[] bytes,
                                 java.io.InputStream istream)
                          throws java.io.IOException

  Fills a byte array with bytes from an input stream. This method keeps reading until the array is filled, an IOException occurs, or EOF is reached. The byte array will be completely filled unless an exception is thrown.
  Parameters:
    `bytes` - A byte array which will be filled up.
    `istream` - The input stream from which to read the bytes.
  Throws:
    `java.io.IOException` - If an IOException occurs reading from the stream, or EOF is reached before the byte array is filled.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD